%define _findreq_method noperl

Name: XFree86
Version: 4.3.0
Release: alt6
Packager: XFree86 Maintainer Team <xfree86@packages.altlinux.org>
%define baseversion 430
%define src_version 4.3.0
%define gatos_version 20030320
%define _cppcmd  /usr/bin/cpp
%set_strip_method none
%define _x11fontsdir %_x11libdir/X11/fonts

%define x11cc "gcc"
%define x11cxx "g++"

Summary: Part of the XFree86 implementation of the X Window System
License: MIT
Group: System/XFree86
AutoReq: yes, noshell, nofiles

PreReq: XFree86-libs = %version-%release, XFree86-utils = %version-%release, xfree86-server-control 
Requires: XFree86-xfs = %version-%release, XFree86-locales = %version-%release, XFree86-bitmaps = %version-%release
Requires: util-linux, coreutils, xinitrc >= 2.4.4, app-defaults >= 0.2.6

Conflicts: xfree86_xkb_xml


# Automatically added by buildreq on Tue Aug 12 2003
BuildRequires: flex fontconfig-devel freetype2-devel gcc-c++ groff-base libexpat-devel libncurses-devel libpam0-devel libpng-devel libstdc++-devel libtinfo-devel libutempter-devel zlib-devel kernel-headers-drm-std-up

# The Source
Source0: XFree86-%src_version.tar.bz2

# We are not including ati radeon drivers as alternative for now.
# If users request to back that up, we'll do it.
Source1: ati.2-%gatos_version.tar.bz2

Source2: savage-1.1.27t.tgz


# Distribution patches 1-100
Source3: xserver.pamd
Source4: xdm.pamd
Source5: xfs.init
Source7: xfs.sysconfig
Source8: xdm.init
Source9: twm.method
Source10: system.twmrc
Source11: XftConfig
Source12: startx

# new drivers

Source20:  XFree86-4.3.0-via-driver-cvs20030816.tar.bz2

# Distribution data 101-200
Source101: icons-%name.tar.bz2
Source102: xfsft-encodings.tar.bz2

# Fonts 201-300
Source201: eurofonts-X11.tar.bz2
Source202: XFree86-iso10646cyr-fonts.tar.bz2





########################## PPPATCCCHHHES-s-s-s! ######################

# build fix patches
# FIXME: Build without this and see if it is still relevant or not
Patch12: XFree86-4.0-broken-includes.patch
Patch13: XFree86-4.3.0-sharedx11reqs-dllibrary.patch
Patch14: XFree86-4.3.0-missing-libraries.patch
Patch15: XFree86-4.3.0-imake-get_libc_version.patch
Patch16: XFree86-4.3.0-move-dot-pc-files.patch

##### DRIVER PATCHES #################################################
# Patches 100-104: apm driver patches
# Patches 105-109: ark driver patches
# Patches 110-119: ati driver patches
Patch110: x430_radeon_1_igp.diff
Patch111: XFree86-4.3-radeon-2-rv280.patch
Patch112: XFree86-4.3-radeon-4-recycle-lockup.patch
# Patches 120-129: ATI Rage 128

# Patches 130-139: radeon driver patches 
# XFree86-4.2.99.4-ati-chip-support-update.2.patch
Patch132: XFree86-4.2.99.901-ati-radeon-argb-cursor-fix-from-keithp.patch
Patch133: XFree86-4.2.99.901-ati-radeon-ia64-pagesize.patch
Patch134: XFree86-4.2.99.902-ati-radeon-alan-legacy-vga.patch
Patch135: XFree86-4.3.0-ati-radeon-R300-fix-pll-value.patch
Patch136: XFree86-4.3.0-ati-radeon-dpms-on-dvi-v2.patch

# Patches 140-149: chips driver patches 
Patch140: XFree86-4.2.99.901-chips-default-to-noaccel-on-69000.patch
# For bugzilla https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=82438
Patch141: XFree86-4.2.99.901-chips-default-to-swcursor-on-65550.patch

# Patches 150-159: cirrus driver patches 
# Patches 160-169: cyrix driver patches
# Patches 170-179: fbdev driver patches
# Patches 180-189: glint driver patches
# Patches 190-199: i128 driver patches
# Patches 200-209: i740 driver patches
# Patches 210-219: Intel i810 / i830 patches
Patch200: XFree86-4.3-vt_fix.patch
Patch201: XFree86-4.3-blankscreen.patch

# Patches 220-229: mga driver patches
Patch220: XFree86-4.2.99.2-mga-xinerama-G450-issue.patch
Patch221: XFree86-4.2.99.3-mga-unresolved-symbols.patch
# Patches 230-239: neomagic driver patches
# Patches 240-249: nv driver patches
# Patches 255-259: rendition driver patches
# Patches 260-269: s3 driver patches
# Patches 270-279: s3virge driver patches
# Patches 280-289: savage driver patches
Patch280: XFree86-4.2.99.3-savage-pci-id-fixes.patch
Patch281: XFree86-4.2.99.902-savage-Imakefile-vbe-fixup.patch
Patch282: XFree86-4.2.99.902-savage-1.1.26cvs-1.1.27t-fixups.patch
Patch283: XFree86-4.2.99.902-savage-1.1.26cvs-1.1.27t-accel-fixup.patch
Patch284: XFree86-4.2.99.902-savage-revert-vbe-change-from-X-cvs.patch
# Patches 290-299: siliconmotion driver patches
# Patches 300-309: sis driver patches
# Patches 310-319: tdfx driver patches
# Fix compiler warnings in tdfx Mesa code
Patch319: XFree86-4.2.0-tdfx-fix-compiler-warnings.patch
# Patches 320-329: tga driver patches
# Patches 330-339: trident driver patches
# Patches 340-349: tseng driver patches
# Patches 350-359: v4l driver patches
# Patches 360-369: vesa driver patches
# Patches 370-379: vga driver patches
# Patches 380-389: vmware driver patches
# Patches 390-399: ati gatos driver patches
Patch390: XFree86-4.3.0-alt-ati-gatos-name.patch

### Non-video driver patches #########################################
# Patches 400-419: xc/nls/{locale.dir,locale.alias,compose.dir} patches
Patch400: XFree86-4.2.99.3-locale-alias-gb18030.patch
Patch402: XFree86-4.0.2-xfree86.lst.patch
# Manpage fixup  Mike A. Harris <mharris@redhat.com>
Patch422: XFree86-4.0.3-xset-man-update.patch

Patch500: XFree86-4.3-font-security.patch
Patch501: XFree86-4.3.0-thinko-fonts-libraries.patch
# bug that make the mouse device disappear
Patch600: XFree86-4.3-mouse-twice.patch

# Patches: 800-819 - xkb keyboard symbol files
Patch800: XFree86-4.2.99.901-xkb-sysreq.patch

# load agpgart for DRM
Patch1021: XFree86-4.1.0-agpgart-load.patch

# S390 patches (will be moved to arch specific section later)
Patch3001: XFree86-4.0.1-nohardware.patch
Patch3004: xdm-4.0-servonly.patch
Patch3005: XFree86-4.1.0-cpp-s390x.patch

# Chinese i18n support patches
# 4000 - gb18030 patches may need tweaking 
#FIX Patch4000: XFree86-4.2.0-gb18030-20020207.patch
#FIX Patch4001: XFree86-4.2.99.1-gb18030-xtt.patch
#FIX Patch4002: XFree86-4.2.0-gb18030-enc.patch


Patch4305: XFree86-4.2.99.1-libICE-remove-bogus-delay.patch

Patch5000: XFree86-4.2.99.1-Wacom-USB-driver-a25-update.patch
Patch5001: XFree86-4.2.99.1-kdrive-posix-sigaction.patch

# 6000-6049 xkb related patches

# x86_64 / alpha / ia64 / ppc / ppc64 / s390 / s390x / sparc / sparc64
# 8000 series - ia64 patches
# No idea, what if any of this crap is still needed, or if any of it is all
# just ugly hacks, or real fixes.  It's all HP supplied patches, and some
# of the other X patches were just ugly bandaids.  They're all disabled for
# now by default, and probably will remain so until someone complains that
# something is b0rken.
Patch8001: XFree86-4.2.0-pci-hplso.diff
Patch8002: XFree86-4.2.0-primpci-hplso.diff
Patch8003: XFree86-4.2.0-ps2-hplso.diff
Patch8004: XFree86-4.2.99.1-ia64-gcc3.1.patch

Patch9006: XFree86-4.2.99.2-xkb-ar.patch
Patch9007: XFree86-4.2.99.2-netmouse.patch
# Distributions Xft enhancements 9009/9010 are dependant on 9008
Patch9008: fontconfig-2.1-slighthint.patch
Patch9009: XFree86-4.2.99.3-xft-loadtarget.patch
Patch9010: XFree86-4.2.99.3-embeddedbitmap.patch
Patch9013: XFree86-4.2.99.3-Imake-make-icondir-configurable.patch
Patch9014: XFree86-4.2.99.4-x86_64-glx-nopic.patch
Patch9015: XFree86-4.2.99.4-IncludeSharedObjectInNormalLib.patch
Patch9016: XFree86-4.3.0-update-cursor-links.patch
# Minor version fixup from debian for manpage strings
Patch9020: XFree86-4.2.99.901-007_fix_xfree86_man_version_string.patch
Patch9021: XFree86-4.2.99.901-008_doc_extensions_fix.patch
Patch9022: XFree86-4.2.99.901-012_r128_xv_btyeswap_fix.patch
Patch9026: XFree86-4.2.99.901-024_r128_and_radeon_vgahw_independence.patch
Patch9027: XFree86-4.2.99.901-027_ati_driver_message_cleanups.patch
Patch9028: XFree86-4.2.99.901-028_fbdev_depth24_support.patch
# Recommendation of Keith Packard
Patch9031: XFree86-4.2.99.901-dont-install-Xcms.txt.patch
Patch9033: XFree86-4.2.99.901-argb-cursor-render-bugfix-keithp.patch

# cvs update
Patch9100:  XFree86-4.3-branch-4.3.patch


######################################################################
# Red Hat customizations, not intended for submission upstream
Patch10000: XFree86-4.2.99.901-redhat-custom-startup.patch
Patch10001: XFree86-4.2.99.2-redhat-custom-modelines.patch
# Disable the ugly checkerboard pattern that X starts up with.  We're in the
# year 2002 now, and this pattern just has to go.  No really.  <mharris>
#FIX Patch10002: XFree86-4.2.0-die-ugly-pattern-die-die-die.patch
# Parallel make patch, designed specifically to hog all CPU's on all the
# build system boxes and make kernel builds take longer.  <evil grin>
#Patch10003: XFree86-4.2.99.901-parallelmake.patch
#XFree86-4.2.99.901-parallelmake-this-time-its-personal.patch
Patch10004: XFree86-4.2.99.902-redhat-version-change-notification.patch

# FIXME: This patch is very crackrockish, and needs to be totally redone in
# a cleaner more portable and sensible way.  It "WorksForUs(TM)" though, so
# we will use it for now.
Patch20002: XFree86-4.2.0-sessreg-highuid.patch
Patch20003: XFree86-4.2.0-xtermresources.patch
# Disable DRI on 16Mb cards in high res (Mike A. Harris <mharris@redhat.com>)
Patch20004: XFree86-4.2.0-tdfx-disable-dri-on-16Mb-cards-in-hires.patch
# Force mkfontdir to make fonts.dir and encodings.dir, etc. mode 0644 Mike A. Harris <mharris@redhat.com>
# FIXME: Dawes doesn't like this one, perhaps reimplement as a commandline
# option.  Something to explore in the future.
Patch20005: XFree86-4.2.99.2-mkfontdir-perms.patch



# ALT Linux Team i18n & emacs key patches
Patch30000: XFree86-4.1.99.4-pt154-alt.patch.bz2
Patch30001: XFree86-4.3.0-altlinux-black.patch
#Patch30002: XFree86-4.2.0-imake-get_libc_vrsion.patch
Patch30003: XFree86-4.2.0-fontenc.patch
Patch30004: XFree86-4.2.1-nostaticlibs.patch

%description
If you want to install the X Window System (TM) on
your machine, you'll need to install XFree86.

The X Window System provides the base technology
for developing graphical user interfaces. Simply stated,
X draws the elements of the GUI on the user's screen and
builds methods for sending user interactions back to the
application. X also supports remote application deployment--running an
application on another computer while viewing the input/output
on your machine.  X is a powerful environment which supports
many different applications, such as games, programming tools,
graphics programs, text editors, etc.  XFree86 is the version of
X which runs on Linux, as well as other platforms.

This package contains the basic fonts, programs and documentation
for an X workstation.  However, this package doesn't provide the
program which you will need to drive your video hardware.  To
control your video card, you'll need the particular X server
package which corresponds to your computer's video card.

In addition to installing this package, you will need to install
the XFree86 package which corresponds to your video card, the
X11R6-contrib package, the Xconfigurator package and the XFree86-libs
package. You may also need to install one of the XFree86 fonts packages.

And finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

####### Data: Fonts, locales, bitmaps

%package locales
Summary: This package contains set of XFree86 locales
Group: System/Internationalization

%description locales
This package contains set of XFree86 locales.

%package bitmaps
Summary: This package contains set of XFree86 bitmaps
Group: System/XFree86

%description bitmaps
This package contains set of XFree86 bitmaps.

%package 75dpi-fonts
Summary: A set of 75 dpi resolution fonts for the X Window System
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, psmisc, XFree86-utils = %version

%description 75dpi-fonts
XFree86-75dpi-fonts contains the 75 dpi fonts used
on most X Window Systems. If you're going to use the
X Window System, you should install this package, unless
you have a monitor which can support 100 dpi resolution.
In that case, you may prefer the 100dpi fonts available in
the XFree86-100dpi-fonts package.

You may also need to install other XFree86 font packages.

To install the X Window System, you will need to install
the XFree86 package, the XFree86 package corresponding to
your video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run
as X clients, you will also need to install the
XFree86-devel package.

%package 75dpi-fonts-unicode
Summary: A set of 75 dpi resolution unicode fonts for the X Window System
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, XFree86-utils = %version

%description 75dpi-fonts-unicode
See 75dpi-fonts

%package 100dpi-fonts-unicode
Summary: A set of 100 dpi resolution unicode fonts for the X Window System
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, XFree86-utils = %version

%description 100dpi-fonts-unicode
See 100dpi-fonts

%package 100dpi-fonts
Summary: X Window System 100dpi fonts
Group: System/Fonts/X11 bitmap
PreReq: chkfontpath, XFree86-utils = %version

%description 100dpi-fonts
If you're going to use the X Window System and you have a
high resolution monitor capable of 100 dpi, you should install
XFree86-100dpi-fonts. This package contains a set of
100 dpi fonts used on most Linux systems.

If you are installing the X Window System, you will also
need to install the XFree86 package, the XFree86
package corresponding to your video card, the X11R6-
contrib package, the Xconfigurator package and the
XFree86-libs package. If you need to display certain
fonts, you may also need to install other XFree86 fonts
packages.

And finally, if you are going to develop applications that
run as X clients, you will also need to install the
XFree86-devel package.

########## Base Packages

%package libs
Summary: Shared libraries needed by the X Window System version 11 release 6
Group: System/Libraries
PreReq: grep
Requires: freetype >= 1.3
Provides:  libXft
Obsoletes: libXft

%description libs
This package contains the shared libraries that most X programs
need to run properly. These shared libraries are in a separate package in
order to reduce the disk space needed to run X applications on a machine
without an X server (i.e, over a network).

If you are installing the X Window System on your machine, you will need to
install XFree86-libs.  You will also need to install the XFree86 package,
the XFree86-75dpi-fonts package or the XFree86-100dpi-fonts package
(depending upon your monitor's resolution), the Xconfigurator package and
the X11R6-contrib package.  And, finally, if you are going to be developing
applications that run as X clients, you will also need to install
XFree86-devel.

%package utils
Summary: Utilities for the X Window System version 11 release 6
Group: System/XFree86
Requires: XFree86-libs = %version-%release, xterm, cpp

%description utils
Some useful utilities for the X Window System version 11 release 6.

Install XFree86-utils if you are going to work with XFree86.

############ Development

%package devel
Summary: Include files, development libraries and manual pages for XFree86
Group: Development/C
Obsoletes: Mesa-devel, libXft-devel
Provides: Mesa-devel, libXft-devel
Requires: XFree86-libs = %version-%release, glibc-devel, cpp

%description devel
This package includes the libraries, header files and documentation
you'll need to develop programs which run in X clients. XFree86 includes
the base Xlib library as well as the Xt and Xaw widget sets.

For guidance on programming with these libraries, O'Reilly & Associates
produces a series on X programming which you might find useful.

Install this package if you are going to develop programs which
will run as X clients.

%package devel-static
Summary: X11R6 development static libraries
Group: System/Libraries
# ldv: commented out for reason.
# Provides: XFree86-static-libs = %version-%release
Obsoletes: XFree86-static-libs
Requires: XFree86-devel = %version-%release

%description devel-static
This package contains XFree86 static libraries needed to
build statically linked programs.

%package doc
Summary: Documentation on various X11 programming interfaces
Group: System/XFree86
Conflicts: XFree86-libs < %version-%release 
Conflicts: XFree86-libs > %version-%release

%description doc
XFree86-doc provides a great deal of extensive PostScript documentation
on the various X APIs, libraries, and other interfaces.  If you need
low level X documentation, you will find it here.  Topics include the
X protocol, the ICCCM window manager standard, ICE session management,
the font server API, etc.

####### Servers

%package Xvfb
Summary: A virtual framebuffer X Windows System server for XFree86
Group: System/XFree86
Requires: XFree86 = %version-%release

%description Xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%package Xnest
Summary: A nested XFree86 server
Group: System/XFree86
Requires: XFree86-xfs = %version-%release
Requires: XFree86 = %version-%release

%description Xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%package server
Summary: The X server from release of XFree86
Group: System/XFree86
Obsoletes: xserver-wrapper
PreReq: coreutils
Requires: XFree86 = %version-%release

%description server
XFree86-server is the new generation of X server from XFree86.


############ Modules:

%package glide-module
Summary: The glide module for XFree86 server
Group: System/XFree86
Requires: XFree86-server = %version-%release

%description glide-module
glide module for XFree86.

%package ati-gatos
Summary: ATI Gatos additional drivers for XFree86-%version
Group: System/XFree86
Requires: XFree86 = %version-%release

%description ati-gatos
ATI Gatos additional drivers for XFree86-%version with additional Video
input-Output capatibilities

############### Utilities

%package xfs
Group: System/Servers
Summary: Font server for XFree86
Url: http://www.joerg-pommnitz.de/TrueType/xfsft.html
PreReq: shadow-utils, chkconfig
Requires: initscripts >= 5.27
Requires: XFree86-libs = %version-%release
Obsoletes: xtt

%description xfs
This is a font server for XFree86.  You can serve fonts to other X servers
remotely with this package, and the remote system will be able to use all
fonts installed on the font server, even if they are not installed on the
remote computer.

%prep

%ifdef use_ccache
echo "using ccache"
%endif

%setup -q

tar -jxvf %SOURCE1

mkdir -p xc/programs/Xserver/hw/xfree86/drivers/ati_gatos
cp ati.2/* xc/programs/Xserver/hw/xfree86/drivers/ati_gatos

tar -jxvf %SOURCE20


pushd xc/fonts/bdf/75dpi
bzcat %{SOURCE202} | tar xf -
popd

echo "Updating SAVAGE driver with %{SOURCE2}"
pushd xc/programs/Xserver/hw/xfree86/drivers
mv savage savage.1.1.26
tar zxvf %{SOURCE2}
popd

%patch12 -p1 %{?with_bk:-b .patch-broken}
%patch13 -p1 %{?with_bk:-b .patch-dllibrary}
%patch14 -p1 %{?with_bk:-b .patch-missing-libraries}
%patch15 -p1 %{?with_bk:-b .imake-get_libc_version}
%patch16 -p1 %{?with_bk:-b .move-dot-pc-files}
# Patch for U1 support

%patch110 -p0 %{?with_bk:-b .ati-radeon-U1-support}
# RV280 support
%patch111 -p0 %{?with_bk:-b .ati-radeon-RV280}

%patch112 -p1 %{?with_bk:-b .recycle-lockup}

#FIX it is for GATOS %patch132 -p0 %{?with_bk:-b .ati-radeon-argb-cursor-fix-from-keithp}
%patch133 -p0 %{?with_bk:-b .ati-radeon-ia64-pagesize}
%patch134 -p0 %{?with_bk:-b .ati-radeon-alan-legacy-vga}
%patch135 -p0 %{?with_bk:-b .ati-radeon-R300-fix-pll-value}
%patch136 -p0 %{?with_bk:-b .ati-radeon-dpms-on-dvi-v2}



%patch140 -p0 %{?with_bk:-b .chips-default-to-noaccel-on-69000}
%patch141 -p0 %{?with_bk:-b .chips-default-to-swcursor-on-65550}

# Cyrix
# Glint
# Intel i740
# Intel i810/i830
%patch200 -p1 %{?with_bk:-b .vt_fix}
%patch201 -p1 %{?with_bk:-b .blankscreen}

# mga - Matrox
%patch221 -p0 %{?with_bk:-b .mga-unresolved-symbols}
%patch280 -p0 %{?with_bk:-b .savage-pci-id-fixes}
%patch281 -p0 %{?with_bk:-b .savage-Imakefile-vbe-fixup}
%patch282 -p0 %{?with_bk:-b .savage-1.1.26cvs-1.1.27t-fixups}
%patch283 -p0 %{?with_bk:-b .savage-1.1.26cvs-1.1.27t-accel-fixup}
%patch284 -p0 %{?with_bk:-b .savage-revert-vbe-change-from-X-cvs}


# neomagic
# Nvidia (nv)
# SiS patches

# tdfx driver patches

# Trident

# ATI Gatos Patches
%patch390 -p0 %{?with_bk:-b .ati-gatos-name}

######################################################################
%patch402 -p0 %{?with_bk:-b .patch-xfree86.lst}
%patch400 -p0 %{?with_bk:-b .locale-alias-gb18030}

%patch422 -p0 %{?with_bk:-b .xset-man-update}

%patch500 -p1 %{?with_bk:-b .fonts-overflow}
%patch501 -p0 %{?with_bk:-b .xfsinfo-overflow}

%patch600 -p1 %{?with_bk:-b .mouse-twice}

# Patches 800 - 819 xkb keyboard symbol patches
%patch800 -p0 %{?with_bk:-b .xkb-sysreq}

#%ifarch alpha
# FIXME: Needed still? %patch1009 -p0 %{?with_bk:-b .lemming}
#%endif

%patch1021 -p1 %{?with_bk:-b .agpgart-load}

# S/390, S/390x patches
%ifarch s390 s390x
%patch3001 -p1 %{?with_bk:-b .s390-nohardware}
%patch3005 -p1 %{?with_bk:-b .s390-cpp}
%endif

%patch3004 -p1 %{?with_bk:-b .xdm-servonly}

#%patch3010 -p0 %{?with_bk:-b .sis-drm-fix}

# Chinese i18n - GB18030 locale support patches
#%patch4000 -p0 %{?with_bk:-b .gb18030-support}
#%patch4001 -p0 %{?with_bk:-b .gb18030-xtt-support}
#%patch4002 -p0 %{?with_bk:-b .gb18030-enc}


#%ifarch alpha ia64 ppc64 s390x x86_64
# FIXME properly %patch4201 -p0 %{?with_bk:-b .alpha-ia64-_LP64-fix}
#%endif

%patch4305 -p0 %{?with_bk:-b .libICE-remove-bogus-delay}

%patch5000 -p0 %{?with_bk:-b .Wacom-USB-driver-a25-update}
%patch5001 -p0 %{?with_bk:-b .kdrive-posix-sigaction}

# Waiting for Sopwith to test/submit upstream
%patch9007 -p0 %{?with_bk:-b .netmouse}
perl -p -i -e 's# fontconfig/# xc/lib/fontconfig/#g' %{PATCH9008}
%patch9008 -p0 %{?with_bk:-b .fontconfig-slighthint}
%patch9009 -p0 %{?with_bk:-b .xft-loadtarget}
%patch9010 -p0 %{?with_bk:-b .embeddedbitmap}
%patch9013 -p0 %{?with_bk:-b .Imake-make-icondir-configurable}
%patch9015 -p0 %{?with_bk:-b .IncludeSharedObjectInNormalLib}
%patch9016 -p1 %{?with_bk:-b .update-cursor-links}
# Fixes from Daniel Stone's Debian debs
%patch9020 -p0 %{?with_bk:-b .007_fix_xfree86_man_version_string}
%patch9021 -p0 %{?with_bk:-b .008_doc_extensions_fix}
%patch9022 -p0 %{?with_bk:-b .012_r128_xv_btyeswap_fix}
# This is ifnarchd for now just to be safe
%ifnarch %{ix86} x86_64 alpha ia64
%patch9026 -p0 %{?with_bk:-b .r128_and_radeon_vgahw_independence}
%endif
%patch9027 -p0 %{?with_bk:-b .027_ati_driver_message_cleanups}
%patch9028 -p0 %{?with_bk:-b .028_fbdev_depth24_support}
%patch9031 -p0 %{?with_bk:-b .dont-install-Xcms.txt}
%patch9100 -p1 %{?with_bk:-b .xfree-branch}

# Red Hat custom patches
%patch10000 -p0 %{?with_bk:-b .redhat-custom-startup}
%patch10001 -p0 %{?with_bk:-b .redhat-custom-modelines}
# The ancient X startup stipple pattern is no more..
#FIX %patch10002 -p0 %{?with_bk:-b .die-ugly-pattern-die-die-die}
# FIXME The parallel make patch might patch stuff that is fixed in a different
# way now, but that doesn't conflict with the patch.  Disabled to be safe.
#%if %ParallelBuild
#%patch10003 -p0 %{?with_bk:-b .parallelmake}
#%endif
%patch10004 -p0 %{?with_bk:-b .redhat-version-change-notification}

# Red Hacks - this is ugly bandaid "make stuff work" crap.  ;o)
# FIXME: kludge for kernel bug.  Fix the damn kernel.
#%patch20000 -p0 %{?with_bk:-b .nv-ia64-memory-barrier}
# Kludge for a kernel bug on ia64.  Fix the damn kernel.
#%patch20001 -p0 %{?with_bk:-b .vgaHW-memory-barrier}
# This patch is crackheadish hack.  Needs to be redone in a clean way.
%patch20002 -p0 %{?with_bk:-b .sessreg-highuid}
%patch20003 -p0 %{?with_bk:-b .xtermresources}
%patch20004 -p0 %{?with_bk:-b .tdfx-disable-dri-on-16Mb-cards-in-hires}
%patch20005 -p0 %{?with_bk:-b .mkfontdir-perms}


# ALT patches
# PT154 localization: FIXME
# %patch30000 -p0 -b .alt
%patch30001 -p0 -b .altblack
%patch30003 -p1 -b .fontenc
%patch30004 -p1 -b .shared-include

cat >xc/config/cf/host.def <<END
#define XFree86CustomVersion "ALT Linux build: %{version}-%{release}"
/* Experimental custom messages */
#define XFree86RedHatCustom	YES

#define BuilderString "Build Host: %(hostname)\n"
#define LinuxDistribution       ALTLinux
    
/* FIXME: Should we be setting this to YES, or should Imake be autodetecting?
 * I would think it should autodetect, and we dont need to care about it here.
 *
 * #define HasGcc3      YES (for XFree86 4.3.0)
 */

/*

#define CcCmd                   %x11cc -m32
#define CplusplusCmd            %x11cxx -m32

*/
 
#define BootstrapCFlags         $RPM_OPT_FLAGS -pipe

#define DefaultGcc2i386Opt      $RPM_OPT_FLAGS -fno-strength-reduce GccAliasingArgs -pipe
/* -fPIC present as it is needed by static libs in order to be linked into
 * shared libs
 */
#define DefaultGcc2x86_64Opt    $RPM_OPT_FLAGS -fno-strength-reduce GccAliasingArgs -pipe
/* -fPIC */
#define DefaultGcc2AxpOpt       $RPM_OPT_FLAGS -Wa,-m21164a GccAliasingArgs -pipe
#define DefaultGcc2PpcOpt       $RPM_OPT_FLAGS GccAliasingArgs -pipe

/* #define ParallelMakeFlags	-j%(getconf _NPROCESSORS_ONLN) */


/* FIXME: Future enhancement ... no ETA, dont ask.
 *#define ProjectRoot /usr/local/X11R6
 *#define NothingOutsideProjectRoot YES
 *#define EtcX11Directory ProjectRoot/etc
 */

/* We want includes in %{_includedir}/GL, so we move them there later on */
#define LinkGLToUsrInclude	NO

/* The OpenGL ABI on Linux standard states libGL and libGLU must be present in
 * /usr/lib either directly, or as symlinks.
 */
#define LinkGLToUsrLib		NO


#define BuildGLwLibrary		YES
#define ForceNormalLib		YES

/* Disable joystick support because it is totally broken in XFree86 4.x, at
 * least up to and including 4.1.0.  Use native OS joystick support instead.
 */
#define JoystickSupport		NO

/* FIXME: This should be defaulted upstream correctly, or patched and sent
 * upstream, and then removed from our specfile.  What a mess.
 */
#define HasAgpGart              YES

/* Expat is only needed by fontconfig */
#define HasExpat		YES
/* FIXME: HasFontconfig is broken so we have to use UseFontconfig */
#define UseFontconfig		YES
#define HasFontconfig           YES

/* FIXME: Building using XFree86's internal freetype for now 
 * Remove this mess once builds succeed with with_freetype2 set to 0
 */
#define HasFreetype2		YES

#define HasPam			YES
#define HasPamMisc		YES
#define HasZlib			YES

#define BuildXIE                YES

/* This is YES in xfree86.cf for all architectures but x86, and we need it
 * on x86 or else KDE/GNOME shared libs and others that link to them will
 * not be too happy.
 * Update: This is needed on x86_64 also as the xfree86.cf file settings get
 * ignored.  I've assumed they all get ignored and made it all-arch instead.
 */
#define StaticNeedsPicForShared YES


#define SharedLibXdmGreet       NO
#define SharedLibXxf86dga       YES
#define SharedLibXv             YES
#define SharedOldX              YES
#define SharedLibFontEnc        YES
#define SharedLibXxf86vm        YES
#define SharedLibXxf86rush      YES
#define SharedLibXxf86misc      YES
#define SharedLibXvMC           YES
#define SharedLibXss            YES
#define SharedLibXinerama       YES
#define SharedLibXfontcache     YES
#define SharedLibXdmcp          YES
#define SharedLibXau            YES
#define SharedLibXRes           YES
#define SharedLibFS             YES
#define SharedLibGLw            YES


#define HasLinuxInput		YES
#define XtermWithI18N		YES

#define HasGlide3		YES
#define Glide3LibName		glide3
#define Glide3IncDir		%{_includedir}/glide3

#define BuildFonts              YES
#define BuildSpeedoFonts        YES
#define BuildCyrillicFonts      YES
#define BuildBethMarduthoFonts	YES
/* #define BuildISO8859_1Fonts     YES */
#define BuildISO8859_2Fonts	YES
#define BuildISO8859_3Fonts	NO
#define BuildISO8859_4Fonts	NO
#define BuildISO8859_5Fonts	BuildCyrillicFonts
/* #define BuildISO8859_6Fonts	NO  */
#define BuildISO8859_7Fonts	YES 
/* #define BuildISO8859_8Fonts	NO  */
#define BuildISO8859_9Fonts	YES
#define BuildISO8859_10Fonts	NO
#define BuildISO8859_11Fonts	NO
#define BuildISO8859_12Fonts	NO
#define BuildISO8859_13Fonts	NO
#define BuildISO8859_14Fonts	YES
#define BuildISO8859_15Fonts	YES
#define BuildISO8859_16Fonts	NO

#define BuildXF86MiscExt        YES
#define BuildHtmlManPages       NO

/* FIXME: This is commented out, in order to test XFree86's Imake DRI defaults
 * for each architecture.  Once confirmed all DRI capable archs build, we can
 * remove this, for a cleaner environmentally friendly host.def
 *
 * if %{with_DRI}
 * #define BuildXF86DRI		YES
 * else
 * #define BuildXF86DRI		NO
 * endif
 */
#define BuildXF86DRI		YES
#define BuildXF86DRM            NO


/* FIXME: We don't need this anymore? */
#define UseXserverWrapper       YES

#define UseUtempter             YES
#define UseInternalMalloc       NO
#define UseMatroxHal            NO

#define UseConfDirForXkb           NO
#define UseConfDirForAppDefaults   NO

#undef  DefaultUserPath
#define DefaultUserPath		/usr/local/bin:/bin:/usr/bin
#undef  DefaultSystemPath
#define DefaultSystemPath	/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin

/* We default to Bluecurve cursor theme, but if it isn't installed, X will
 * fallback to core cursors, so no forced dependancy is required.
 */
#define DefaultCursorTheme	whiteglass

#define AdmDir              /var/log
#define LbxproxyDir         /etc/X11/lbxproxy
#define ProxyManagerDir     /etc/X11/proxymngr
#define ServerConfigDir     /etc/X11/xserver
#define XdmDir              /etc/X11/xdm
#define XConfigDir          /etc/X11
#define XinitDir            /etc/X11/xinit
#define EtcX11Directory     /etc/X11
#define XAppLoadDir         EtcX11Directory/app-defaults

#define XFree86Devel        YES

#define BuilderEMailAddr             "xfree86@packages.altlinux.org"

#define DriverManDir    \$(MANSOURCEPATH)4
#define DriverManSuffix 4x /* use just one tab or cpp will die */
#define MiscManDir      \$(MANSOURCEPATH)7
#define MiscManSuffix   7x /* use just one tab or cpp will die */

#define XF86ExtraCardDrivers    ati_gatos via

END

%build
%remove_optflags %optflags_notraceback

#         CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS" \
%make_build World -C xc \
	DEFAULTFONTPATH="%_x11fontsdir/misc:unscaled,unix/:-1" \
        MAKE="make"

# compile libtype1 with -fno-fast-math
%make -C xc/lib/font/Type1 clean includes
%make -C xc/lib/font/Type1 CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
%make -C xc/lib/font

echo PACKAGING DOCUMENTATION
# rezip these - they are in the old compress format
find xc/doc/hardcopy -name \*.PS.Z | xargs gzip -df
find xc/doc/hardcopy -name \*.PS | xargs gzip -f

groff -Tascii -ms xc/doc/misc/RELNOTES.ms > xc/doc/hardcopy/RELNOTES.txt
rm -rf xc/doc/hardcopy/BDF/*
groff -Tascii -ms xc/doc/specs/BDF/bdf.ms > xc/doc/hardcopy/BDF/bdf.txt
groff -Tascii -ms xc/doc/specs/CTEXT/ctext.tbl.ms >xc/doc/hardcopy/CTEXT/ctext.tbl.txt
rm -rf xc/doc/hardcopy/FSProtocol/*
groff -Tascii -ms xc/doc/specs/FSProtocol/protocol.ms >xc/doc/hardcopy/FSProtocol/protocol.txt
rm -rf xc/doc/hardcopy/ICCCM/*
groff -Tascii -ms xc/doc/specs/ICCCM/icccm.ms >xc/doc/hardcopy/ICCCM/icccm.txt
rm -rf xc/doc/hardcopy/ICE/*
groff -Tascii -ms xc/doc/specs/ICE/ICElib.ms >xc/doc/hardcopy/ICE/ICElib.txt
groff -Tascii -ms xc/doc/specs/ICE/ice.ms > xc/doc/hardcopy/ICE/ice.txt
cp xc/doc/specs/PM/PM_spec xc/doc/hardcopy/ICE
rm -rf xc/doc/hardcopy/SM/*
groff -Tascii -ms xc/doc/specs/SM/SMlib.ms > xc/doc/hardcopy/SM/SMlib.txt
rm -rf xc/doc/hardcopy/XDMCP/*
groff -Tascii -ms xc/doc/specs/XDMCP/xdmcp.ms >xc/doc/hardcopy/XDMCP/xdmcp.txt
rm -rf xc/doc/hardcopy/XIM/*
groff -Tascii -ms xc/doc/specs/XIM/xim.ms > xc/doc/hardcopy/XIM/xim.txt
rm -rf xc/doc/hardcopy/XLFD/*
groff -Tascii -ms xc/doc/specs/XLFD/xlfd.tbl.ms >xc/doc/hardcopy/XLFD/xlfd.tbl.txt

%install
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc/pam.d/xserver
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/etc/pam.d/xdm
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
touch $RPM_BUILD_ROOT/etc/security/console.apps/xserver

mkdir -p $RPM_BUILD_ROOT/usr/include
rm -f $RPM_BUILD_ROOT/usr/include/X11

make DESTDIR=$RPM_BUILD_ROOT install install.man -C xc
mkdir -p $RPM_BUILD_ROOT/etc/X11

# XftConfig
#install -m 644 %SOURCE11 $RPM_BUILD_ROOT/etc/X11/XftConfig
#rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/XftConfig
#(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11; ln -s ../../../../etc/X11/XftConfig)

# we don't want the libz.a from XFree86 -- it's broken
rm -f $RPM_BUILD_ROOT%_x11libdir/libz.a

# we don't want libXpm from XFree86
rm -f $RPM_BUILD_ROOT%_x11libdir/libXpm*
rm -f $RPM_BUILD_ROOT%_x11includedir/X11/Xpm.h
rm -f $RPM_BUILD_ROOT%_x11includedir/X11/xpm.h

# setup the default X server
rm -f $RPM_BUILD_ROOT%_x11bindir/X
chmod 700 %buildroot%_x11bindir/XFree86
ln -s XFree86 $RPM_BUILD_ROOT%_x11bindir/X

# explicitly create X authdir
mkdir -p $RPM_BUILD_ROOT/etc/X11/xdm/authdir
chmod 0700 $RPM_BUILD_ROOT/etc/X11/xdm/authdir

# Move config config stuff to /etc/X11
mkdir -p $RPM_BUILD_ROOT/etc/X11
mv $RPM_BUILD_ROOT%_x11libdir/X11/XF86Config.eg $RPM_BUILD_ROOT%_x11libdir/X11/XF86Config-4.eg

# we install our own config file for the xfs package
mkdir -p $RPM_BUILD_ROOT/etc/X11/fs
install -pD -m755 %SOURCE5 $RPM_BUILD_ROOT/etc/rc.d/init.d/xfs
install -pD -m600 %SOURCE7 $RPM_BUILD_ROOT/etc/sysconfig/xfs

# we get xinit from a separate package
rm -rf $RPM_BUILD_ROOT%_x11libdir/X11/xinit
ln -sf ../../../../etc/X11/xinit $RPM_BUILD_ROOT%_x11libdir/X11/xinit

# Fix up symlinks
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/include $RPM_BUILD_ROOT/usr/lib
ln -sf ../X11R6/bin $RPM_BUILD_ROOT/usr/bin/X11
ln -sf ../X11R6/man $RPM_BUILD_ROOT/usr/man/X11
ln -sf ../X11R6/include/X11 $RPM_BUILD_ROOT/usr/include/X11
ln -sf ../X11R6/lib/X11 $RPM_BUILD_ROOT/usr/lib/X11

# this gets the wrong permissions by default -- I don't know or care why
chmod 755 $RPM_BUILD_ROOT%_x11libdir/X11/xkb/geometry/sgi

# this certainly doesn't need to be setuid
chmod 755 $RPM_BUILD_ROOT%_x11bindir/dga

#ln -sf ../..%{_x11dir}/lib/X11/xkb $RPM_BUILD_ROOT/etc/X11

# symlink shared libs
{
    pushd $RPM_BUILD_ROOT%{_x11dir}/lib
    for lib in *.so.*; do ln -sf $lib ${lib%.so*}.so ; done
    popd
}

# Build and install Xft1 fontconfig lib
# This MUST COME AFTER the "symlink shared libs" section above
#{
#    pushd xc/lib/Xft1
#    PATH=$PATH:$RPM_BUILD_ROOT%_x11bindir xmkmf -a ../..
#    make
#    make DESTDIR=$RPM_BUILD_ROOT install
#    # Remove static lib, development .so, old 1.1 lib, and headers
#    rm -f $RPM_BUILD_ROOT%{_x11libdir}/libXft.{so,a,so.1.1}
#    rm -f $RPM_BUILD_ROOT%{_x11dir}/include/X11/Xft/*
#    popd
#}

# EURO support
#(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc;
# tar xjf %SOURCE102
# LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/bdftopcf -t Xlat9-8x14.bdf |gzip -9 >Xlat9-8x14-lat9.pcf.gz;
# LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/bdftopcf -t Xlat9-9x16.bdf |gzip -9 >Xlat9-9x16-lat9.pcf.gz;
# rm *.bdf
# LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/misc)

# Encoding files for xfsft font server
bzcat %SOURCE102 | tar xf - -C $RPM_BUILD_ROOT
gzip -9 -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/*.enc || :
gzip -9 -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/large/*.enc || :
LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir -e $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings \
	-e $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/large
cat encodings.dir | sed "s|$RPM_BUILD_ROOT||" \
	> $RPM_BUILD_ROOT/etc/X11/encodings.dir
LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir -e $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/encodings/badencodings
cat encodings.dir | sed "s|$RPM_BUILD_ROOT||" \
	> $RPM_BUILD_ROOT/etc/X11/bad_encodings.dir

# Move unicode fonts to another directory
for f in 75dpi 100dpi; do
    mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$f-unicode
    for i in `cat $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$f/fonts.dir|grep iso10646|awk '{print $1}'`; do
        mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$f/$i $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$f-unicode
    done
    LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$f
    LD_LIBRARY_PATH=$RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/bin/mkfontdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$f-unicode
done

for i in misc 75dpi 100dpi 75dpi-unicode 100dpi-unicode Speedo Type1 ; do
	rm -f $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/encodings.dir
	ln -sf /etc/X11/encodings.dir \
		$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/$i/encodings.dir
done

# Fix conflicting files with  xterm
rm -f $RPM_BUILD_ROOT/etc/X11/app-defaults/*XTerm*

# List modules without glide_drv.o and some additional module drivers (E.g. GATOS & MGA HAL)
#rm -f modules.list
#find $RPM_BUILD_ROOT%_x11libdir/modules -type f -print | egrep -v 'gatos|glint_drv.o|tdfx_dri.so' | \
#    sed s@$RPM_BUILD_ROOT@@ > modules.list

#     egrep -v 'gatos_drv.o|mga_hal_drv.o|tda|theatre_drv.o|msp3430_drv.o|fi1236_drv.o|bt829_drv.o' | \

# Make some symlinks needed for additional drivers
#ln -s radeon_dri.so $RPM_BUILD_ROOT%_x11libdir/modules/dri/radeon_gatos_dri.so
#ln -s r128_dri.so $RPM_BUILD_ROOT%_x11libdir/modules/dri/r128_gatos_dri.so

# Remove libGLU libs - now they included in Mesa
rm -rf $RPM_BUILD_ROOT/usr/X11R6/lib/libGLU*

# glu.h now in libGLU-devel package
rm -f $RPM_BUILD_ROOT/usr/X11R6/include/GL/glu.h

# Menu support
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu $RPM_BUILD_ROOT/etc/menu-methods
#install -m 755 %SOURCE9 $RPM_BUILD_ROOT/etc/menu-methods/twm
cat > $RPM_BUILD_ROOT/usr/lib/menu/%name << EOF
?package(%name): needs=x11 section=Office longtitle="Calculator for X" title=Calculator command=xcalc
?package(%name): needs=x11 section=Applications/Accessibility icon=xmag.xpm longtitle="Xmag: magnify parts of the X screen" title=Xmag command=xmag
?package(%name): needs=x11 section=Applications/Monitoring icon=xkill.xpm longtitle="Xkill: kill X clients" title=Xkill command=xkill
?package(%name): needs=x11 section=Applications/Monitoring icon=xrefresh.xpm longtitle="Xrefresh: redraw X screen" title=Xrefresh command=xrefresh
?package(%name): needs=wm section=Session/Windowmanagers icon=twm.xpm longtitle="Twm: Tab Window Manager" title=Twm command=twm
EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/twm/
install -m 644 %SOURCE10 $RPM_BUILD_ROOT/etc/X11/twm/system.twmrc-menu

#alt menu icons
install -d $RPM_BUILD_ROOT%_iconsdir
tar xyvf %SOURCE101 -C $RPM_BUILD_ROOT%_iconsdir

# no need to be SUID
chmod 755 $RPM_BUILD_ROOT%_x11bindir/xload

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
cat << EOF > $RPM_BUILD_ROOT/etc/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

#stripping ...
# strip the crap that's safe to strip
(
    set +x
    strip --strip-unneeded -R .comment $RPM_BUILD_ROOT%_x11bindir/* || :
    strip -R .comment $RPM_BUILD_ROOT%_x11libdir/*so* || :
)

# for compatibility with the Linux/OpenGL standard base
mkdir -p $RPM_BUILD_ROOT/usr/include
pushd $RPM_BUILD_ROOT/usr/include
ln -sf ../X11R6/include/GL GL
popd

# Fix startx script
install -p -m 0755 %SOURCE12 $RPM_BUILD_ROOT/usr/X11R6/bin/startx

# quick fix
mkdir -p $RPM_BUILD_ROOT/var/lib/xdm
cd $RPM_BUILD_ROOT/etc/X11/xdm
rm -f authdir
ln -sf ../../../var/lib/xdm authdir

# documentation relocation /usr/X11R6/lib/X11/doc: rmming /usr/X11R6/lib/doc
mkdir -p $RPM_BUILD_ROOT/%_docdir
mv $RPM_BUILD_ROOT/%_x11libdir/X11/doc \
    $RPM_BUILD_ROOT/%_docdir/XFree86-server-%{version}
ln -s %_docdir/XFree86-server-%{version} \
    $RPM_BUILD_ROOT/%_x11libdir/X11/doc

# replace rsh to ssh

subst "s,rsh,ssh," $RPM_BUILD_ROOT/%_x11bindir/rstart
subst "s,=rsh,=ssh," $RPM_BUILD_ROOT/%_x11bindir/xon

# control support
chmod 700 %buildroot%_x11bindir/XFree86

%post
%update_menus

for d in misc Speedo Type1; do
	if [ -d %_x11fontsdir/$d ];then
	     cd %_x11fontsdir/$d
	     %_x11bindir/mkfontdir
	fi
done

%postun
%clean_menus

%pre

# here, we put things that we have moved around (like directories)
# that need to be cleaned up prior to the RPM's installation.
# Ugly. Necessary.
#while read old new link; do
#  if [ -d `dirname $old` -a ! -L $old ]; then
#     echo "moving $old to $new linking to $link"
#     if [ ! -d $new ]; then
#        mkdir -p $new
#     fi
#     if [ -d $old ]; then
#         mv -f $old/* $new
#         rmdir $old
#     fi
#     ln -sf $link $old
#  fi
#done << EOF
#%_x11libdir/X11/xkb /etc/X11/xkb ../../../../etc/X11/xkb
#%_x11libdir/X11/xkb/compiled /var/lib/xkb ../../../../../var/lib/xkb
#%_x11libdir/X11/app-defaults /etc/X11/app-defaults ../../../../etc/X11/app-defaults
#%_x11libdir/X11/lbxproxy /etc/X11/lbxproxy ../../../../etc/X11/lbxproxy
#%_x11libdir/X11/proxymngr /etc/X11/proxymngr ../../../../etc/X11/proxymngr
#%_x11libdir/X11/rstart /etc/X11/rstart ../../../../etc/X11/rstart
#%_x11libdir/X11/xserver /etc/X11/xserver ../../../../etc/X11/xserver
#/etc/X11/xdm/authdir /var/lib/xdm ../../../var/lib/xdm
#EOF

rm -rf /etc/X11/xkb

%post libs
grep -q "^/usr/X11R6/lib$" /etc/ld.so.conf || echo "/usr/X11R6/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun libs
if [ "$1" = "0" ]; then
    rm -f /etc/ld.so.conf.new
    grep -v "/usr/X11R6/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
    mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%verifyscript libs
echo -n "Looking for /usr/X11R6/lib in /etc/ld.so.conf... "
if ! grep -q "^/usr/X11R6/lib$" /etc/ld.so.conf; then
    echo "missing"
    echo "/usr/X11R6/lib missing from /etc/ld.so.conf" >&2
else
    echo "found"
fi

%post 75dpi-fonts
cd %_x11fontsdir/75dpi
%_x11bindir/mkfontdir
/usr/sbin/chkfontpath -q -a %_x11fontsdir/75dpi:unscaled

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/75dpi:unscaled
fi

%post 75dpi-fonts-unicode
cd %_x11fontsdir/75dpi-unicode
%_x11bindir/mkfontdir
/usr/sbin/chkfontpath -q -a %_x11fontsdir/75dpi-unicode:unscaled

%postun 75dpi-fonts-unicode
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/75dpi-unicode:unscaled
fi

%post 100dpi-fonts
cd %_x11fontsdir/100dpi
%_x11bindir/mkfontdir
/usr/sbin/chkfontpath -q -a %_x11fontsdir/100dpi:unscaled

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/100dpi:unscaled
fi

%post 100dpi-fonts-unicode
cd %_x11fontsdir/100dpi-unicode
%_x11bindir/mkfontdir
/usr/sbin/chkfontpath -q -a %_x11fontsdir/100dpi-unicode:unscaled

%postun 100dpi-fonts-unicode
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r %_x11fontsdir/100dpi-unicode:unscaled
fi

%pre xfs
/usr/sbin/groupadd -r -f xfs
/usr/sbin/useradd -r -g xfs -d /etc/X11/fs -s /dev/null -c "X Font Server" -n xfs &> /dev/null ||:

%post xfs
%post_service xfs

%preun xfs
%preun_service xfs

%pre server
/usr/sbin/groupadd -r -f xgrp
if [ $1 -ge 2 ]; then
    /usr/sbin/control-dump xfree86-server
fi
rm -rf %_x11libdir/X11/doc

%post server
if [ $1 -ge 2 ]; then
    /usr/sbin/control-restore xfree86-server
else
    /usr/sbin/control xfree86-server public
fi

%files server 
#-f modules.list
#%doc %_x11libdir/X11/XF86Config-4.eg
%doc %_x11libdir/X11/doc
%_docdir/XFree86-server-%{version}
%_x11bindir/XFree86
%_x11bindir/xdm
%config(noreplace) /etc/pam.d/xserver
%config(noreplace) /etc/pam.d/xdm
%config(missingok noreplace) /etc/security/console.apps/xserver
%_x11libdir/modules
%exclude %_x11libdir/modules/drivers/*gatos*
%exclude %_x11libdir/modules/drivers/*glint*
%exclude %_x11libdir/modules/dri/*tdfx_dri*
%_x11bindir/startx
%_x11bindir/X


%files glide-module
%_x11libdir/modules/drivers/glint_drv.o
%_x11libdir/modules/dri/tdfx_dri.so

%files ati-gatos
%_x11libdir/modules/drivers/*gatos*.o
%_x11libdir/modules/multimedia

%files bitmaps
%dir %_x11includedir/X11/bitmaps
%_x11includedir/X11/bitmaps/*

%files
%doc %_x11libdir/X11/Cards



%dir /etc/X11/rstart
%dir /etc/X11/rstart/commands
%dir /etc/X11/rstart/commands/x11r6
%dir /etc/X11/rstart/contexts
%dir %_x11libdir/X11/etc
%dir %_x11fontsdir
%_x11libdir/X11/xserver
%dir %_x11includedir/X11/pixmaps

%dir /etc/X11/twm
%dir /etc/X11/xdm
%dir %attr(0700,root,root) /etc/X11/xdm/authdir
%dir /etc/X11/xsm
/etc/X11/xdm/chooser
%dir /var/lib/xdm

#%config /etc/rc.d/init.d/xdm
%config(noreplace) /etc/X11/twm/system.twmrc-menu
%config(noreplace) /etc/X11/xsm/system.xsm
#%config(noreplace) /etc/menu-methods/twm
%config(noreplace) /etc/logrotate.d/xdm
#config(noreplace) /etc/X11/XftConfig

/usr/lib/menu/%name

%config(noreplace) /etc/X11/lbxproxy/*
%config(noreplace) /etc/X11/proxymngr/*
%dir /etc/X11/app-defaults
%config(noreplace) /etc/X11/app-defaults/*

%_x11libdir/X11/xkb
/var/lib/xkb
%_x11libdir/X11/xinit
%_x11libdir/X11/xdm
%_x11libdir/X11/twm
%_x11libdir/X11/xsm

/etc/X11/xserver
#%_x11libdir/X11/XF86Config
#_x11libdir/X11/XftConfig
%_x11libdir/X11/rstart/rstartd.real
%config(noreplace) /etc/X11/rstart/config
%_x11libdir/X11/rstart/commands/x11r6/@List
%_x11libdir/X11/rstart/commands/x11r6/LoadMonitor
%_x11libdir/X11/rstart/commands/x11r6/Terminal
%_x11libdir/X11/rstart/commands/@List
%_x11libdir/X11/rstart/commands/ListContexts
%_x11libdir/X11/rstart/commands/ListGenericCommands
%_x11libdir/X11/rstart/contexts/@List
%_x11libdir/X11/rstart/contexts/default
%_x11libdir/X11/rstart/contexts/x11r6
%_x11libdir/X11/x11perfcomp
# *** curse, second doc ***
%_x11libdir/X11/etc/sun.termcap
%_x11libdir/X11/etc/sun.terminfo
#%_x11libdir/X11/etc/xterm.termcap
#%_x11libdir/X11/etc/xterm.terminfo
%_x11libdir/X11/etc/xmodmap.std
%_x11libdir/X11/etc/Xinstall.sh
%_iconsdir/whiteglass
%_iconsdir/redglass
%_iconsdir/handhelds
%_miconsdir/*.xpm
%_liconsdir/*.xpm
%_iconsdir/*.xpm

%_x11includedir/X11/pixmaps/*

%dir %_x11fontsdir/Speedo
%_x11fontsdir/Speedo/*.spd
%_x11fontsdir/Speedo/fonts.dir
%_x11fontsdir/Speedo/fonts.scale

%dir %_x11fontsdir/Type1
%_x11fontsdir/Type1/*.pfa
%_x11fontsdir/Type1/*.pfb
%_x11fontsdir/Type1/encodings.dir
%_x11fontsdir/Type1/fonts.scale
%_x11fontsdir/Type1/fonts.dir

%dir %_x11fontsdir/misc
%_x11fontsdir/misc/*.gz
%_x11fontsdir/misc/fonts.alias
%_x11fontsdir/misc/encodings.dir
%_x11fontsdir/misc/fonts.dir

%_x11libdir/X11/rgb.txt



%files libs
%_x11libdir/X11/XErrorDB
%_x11libdir/X11/XKeysymDB
%_x11libdir/*.so.*
%exclude %_x11libdir/libGL.so.1
%exclude %_x11libdir/libOSMesa.*
#%_x11libdir/libXfont*.so.*
#%_x11libdir/modules/dri/*.so

%files utils
%_x11mandir/man1/xrandr.1x*
%_x11mandir/man1/xvinfo.1x*
%_x11mandir/man1/xmessage.1x*
%_x11mandir/man1/xload.1x*
%_x11mandir/man1/xgc.1x*
%_x11mandir/man1/xgamma.1x*
#_x11mandir/man1/xftcache.1x*
%_x11mandir/man1/xeyes.1x*
%_x11mandir/man1/xcalc.1x*
%_x11mandir/man1/xbiff.1x*
%_x11mandir/man1/texteroids.1x*
%_x11mandir/man1/viewres.1x*
%_x11mandir/man1/showfont.1x*
%_x11mandir/man1/scanpci.1x*
%_x11mandir/man1/rman.1x*
%_x11mandir/man1/revpath.1x*
%_x11mandir/man1/pswrap.1x*
%_x11mandir/man1/pcitweak.1x*
%_x11mandir/man1/oclock.1x*
%_x11mandir/man1/mkcfm.1x*
%_x11mandir/man1/listres.1x*
%_x11mandir/man1/libxrx.1x*
%_x11mandir/man1/ico.1x*
%_x11mandir/man1/Xmark.1x*
%_x11mandir/man1/dpsexec.1x*
%_x11mandir/man1/dpsinfo.1x*
%_x11mandir/man1/lbxproxy.1x*
%_x11mandir/man1/proxymngr.1x*
%_x11mandir/man1/xfindproxy.1x*
%_x11mandir/man1/xfwp.1x*
%_x11mandir/man1/glxinfo.1x*
%_x11mandir/man1/lndir.1x*
%_x11mandir/man1/makestrs.1x*
%_x11mandir/man1/mkdirhier.1x*
%_x11mandir/man1/appres.1x*
%_x11mandir/man1/bdftopcf.1x*
%_x11mandir/man1/beforelight.1x*
%_x11mandir/man1/bitmap.1x*
%_x11mandir/man1/bmtoa.1x*
%_x11mandir/man1/atobm.1x*
%_x11mandir/man1/editres.1x*
%_x11mandir/man1/iceauth.1x*
%_x11mandir/man1/mkfontdir.1x*
%_x11mandir/man1/showrgb.1x*
%_x11mandir/man1/rstart.1x*
%_x11mandir/man1/rstartd.1x*
%_x11mandir/man1/smproxy.1x*
%_x11mandir/man1/twm.1x*
%_x11mandir/man1/x11perf.1x*
%_x11mandir/man1/x11perfcomp.1x*
%_x11mandir/man1/xauth.1x*
%_x11mandir/man1/xclipboard.1x*
%_x11mandir/man1/xcutsel.1x*
%_x11mandir/man1/xclock.1x*
%_x11mandir/man1/xcmsdb.1x*
%_x11mandir/man1/xconsole.1x*
%_x11mandir/man1/xdm.1x*
%_x11mandir/man1/sessreg.1x*
%_x11mandir/man1/xdpyinfo.1x*
%_x11mandir/man1/xev.1x*
%_x11mandir/man1/dga.1x*
%_x11mandir/man1/xditview.1x*
%_x11mandir/man1/xedit.1x*
%_x11mandir/man1/xfd.1x*
%_x11mandir/man1/xhost.1x*
%_x11mandir/man1/xfontsel.1x*
#%_x11mandir/man1/xman.1x*
%_x11mandir/man1/xieperf.1x*
%_x11mandir/man1/xinit.1x*
%_x11mandir/man1/startx.1x*
%_x11mandir/man1/setxkbmap.1x*
%_x11mandir/man1/xkbcomp.1x*
%_x11mandir/man1/xkbevd.1x*
%_x11mandir/man1/xkbprint.1x*
%_x11mandir/man1/xkill.1x*
%_x11mandir/man1/xlogo.1x*
%_x11mandir/man1/xlsatoms.1x*
%_x11mandir/man1/xlsclients.1x*
%_x11mandir/man1/xlsfonts.1x*
%_x11mandir/man1/xmag.1x*
%_x11mandir/man1/xmh.1x*
%_x11mandir/man1/xmodmap.1x*
%_x11mandir/man1/xprop.1x*
%_x11mandir/man1/xrdb.1x*
%_x11mandir/man1/xrefresh.1x*
%_x11mandir/man1/xset.1x*
%_x11mandir/man1/xsetmode.1x*
%_x11mandir/man1/xsetpointer.1x*
%_x11mandir/man1/xsetroot.1x*
%_x11mandir/man1/xsm.1x*
%_x11mandir/man1/xstdcmap.1x*
%_x11mandir/man1/xterm.1x*
%_x11mandir/man1/resize.1x*
%_x11mandir/man1/xvidtune.1x*
%_x11mandir/man1/xwd.1x*
%_x11mandir/man1/xwininfo.1x*
%_x11mandir/man1/xwud.1x*
%_x11mandir/man1/xon.1x*
%_x11mandir/man1/Xserver.1x*
%_x11mandir/man1/XFree86.1x*
%_x11mandir/man1/xf86cfg.1x*
%_x11mandir/man5/XF86Config.5x*
%_x11mandir/man4/*
%_x11mandir/man7/*

#%_x11mandir/man1/reconfig.1x*
%_x11mandir/man1/xf86config.1x*
#%_x11mandir/man1/SuperProbe.1x*

%_x11bindir/texteroids
%_x11bindir/Xprt
%_x11bindir/lbxproxy
%_x11bindir/proxymngr
%_x11bindir/rstartd
%_x11bindir/xfindproxy
%_x11bindir/xfwp
#%_x11bindir/xrx
%_x11bindir/lndir
%_x11bindir/mkdirhier
%_x11bindir/appres
%_x11bindir/bdftopcf
%_x11bindir/beforelight
%_x11bindir/bitmap
%_x11bindir/glxinfo
%_x11bindir/bmtoa
%_x11bindir/atobm
%_x11bindir/editres
%_x11bindir/iceauth
%_x11bindir/mkfontdir
%_x11bindir/showrgb
%_x11bindir/rstart
%_x11bindir/smproxy
%_x11bindir/twm
%_x11bindir/x11perf
%_x11bindir/x11perfcomp
%_x11bindir/Xmark
%_x11bindir/xauth
%_x11bindir/xclipboard
%_x11bindir/xcutsel
%_x11bindir/xclock
%_x11bindir/xcmsdb
%_x11bindir/xconsole
%_x11bindir/xdm
%_x11bindir/sessreg
%_x11bindir/xdpyinfo
%attr(0755,root,root)		%_x11bindir/dga
%_x11bindir/xfd
%_x11bindir/xhost
%_x11bindir/xieperf
%_x11bindir/xinit
%_x11bindir/setxkbmap
%_x11bindir/xkbcomp
%_x11bindir/xkbevd
%_x11bindir/xkbprint
%_x11bindir/xkbvleds
%_x11bindir/xkbwatch
%_x11bindir/xkbbell
%_x11bindir/xkill
%_x11bindir/xlogo
%_x11bindir/xlsatoms
%_x11bindir/xlsclients
%_x11bindir/xlsfonts
%_x11bindir/xmag
%_x11bindir/xmh
%_x11bindir/xmodmap
%_x11bindir/xprop
%_x11bindir/xrdb
%_x11bindir/xset
%_x11bindir/xrefresh
%_x11bindir/xsetmode
%_x11bindir/xsetpointer
%_x11bindir/xsetroot
%_x11bindir/xsm
%_x11bindir/xstdcmap
#%_x11bindir/xterm
#%_x11bindir/resize
%_x11bindir/xvidtune
%_x11bindir/xcalc
%_x11bindir/xfontsel
%_x11bindir/xedit
%_x11bindir/xev
#%_x11bindir/xman
%_x11bindir/xwd
%_x11bindir/xwininfo
%_x11bindir/xwud
%_x11bindir/xon
%_x11bindir/xf86cfg

#%_x11bindir/reconfig
%_x11bindir/xf86config
%_x11bindir/scanpci
#%_x11bindir/SuperProbe
#%_x11bindir/bdftruncate.pl
#%_x11bindir/ucs2any.pl
#_x11bindir/xftcache

#%_x11bindir/fsinfo
#%_x11bindir/fslsfonts
#%_x11bindir/fstobdf
%_x11bindir/ico
%_x11bindir/listres
%_x11bindir/mkcfm
%_x11bindir/mkhtmlindex
%_x11bindir/oclock
%_x11bindir/pcitweak
%_x11bindir/pswrap
%_x11bindir/revpath
%_x11bindir/rman
%_x11bindir/showfont
#%_x11bindir/sxpm
%_x11bindir/viewres
%_x11bindir/xbiff
%_x11bindir/xditview
%_x11bindir/xeyes
%_x11bindir/xgamma
%_x11bindir/xgc
%_x11bindir/xload
%_x11bindir/xmessage
%_x11bindir/xvinfo
%_x11bindir/xrandr

%files devel
%_x11includedir/X11/ICE
%_x11includedir/X11/PM
%_x11includedir/X11/SM
%_x11includedir/X11/Xaw
%_x11includedir/X11/Xft
%_x11includedir/X11/Xcursor
%_x11includedir/X11/Xmu
%_x11includedir/X11/extensions
%_x11includedir/X11/fonts
%_x11includedir/GL
%_x11includedir/DPS
%_x11includedir/X11/*.h
%_x11includedir/*.h

/usr/include/X11
/usr/include/GL
%_x11mandir/man3

%_x11libdir/X11/config
%_x11bindir/imake
%_x11bindir/makedepend
%_x11bindir/gccmakedep
%_x11bindir/xmkmf
%_x11bindir/makeg
%_x11bindir/mergelib
%_x11bindir/xcursorgen
%_x11bindir/*-config

%_x11mandir/man1/makeg.1x*
%_x11mandir/man1/imake.1x*
%_x11mandir/man1/makedepend.1x*
%_x11mandir/man1/xmkmf.1x*

%_x11libdir/*.so
%exclude %_x11libdir/libOSMesa.so

%_libdir/pkgconfig/*



%files devel-static
%_x11libdir/*.a

%files Xvfb
%_x11bindir/Xvfb
%_x11mandir/man1/Xvfb.1x*

%files Xnest
%_x11bindir/Xnest
%_x11mandir/man1/Xnest.1x*

%files doc
%doc xc/doc/hardcopy/*

%files 75dpi-fonts
%dir %_x11fontsdir/75dpi
%_x11fontsdir/75dpi/*.gz
%_x11fontsdir/75dpi/fonts.alias
%_x11fontsdir/75dpi/encodings.dir
%_x11fontsdir/75dpi/fonts.dir

%files 100dpi-fonts
%dir %_x11fontsdir/100dpi
%_x11fontsdir/100dpi/*.gz
%_x11fontsdir/100dpi/fonts.alias
%_x11fontsdir/100dpi/encodings.dir
%_x11fontsdir/100dpi/fonts.dir

%files 75dpi-fonts-unicode
%dir %_x11fontsdir/75dpi-unicode
%_x11fontsdir/75dpi-unicode/*.gz
%_x11fontsdir/75dpi-unicode/encodings.dir
%_x11fontsdir/75dpi-unicode/fonts.dir

%files 100dpi-fonts-unicode
%dir %_x11fontsdir/100dpi-unicode
%_x11fontsdir/100dpi-unicode/*.gz
%_x11fontsdir/100dpi-unicode/encodings.dir
%_x11fontsdir/100dpi-unicode/fonts.dir

%files xfs
%config %_initdir/xfs
%config(noreplace) %_sysconfdir/sysconfig/xfs
%config(noreplace) /etc/X11/encodings.dir
%config(noreplace) /etc/X11/bad_encodings.dir
%_x11libdir/X11/fs
%_x11bindir/xfsinfo
%_x11bindir/fslsfonts
%_x11bindir/fstobdf
%_x11bindir/xfs
%_x11mandir/man1/xfs.1x*
%_x11mandir/man1/xfsinfo.1x*
%_x11mandir/man1/fslsfonts.1x*
%_x11mandir/man1/fstobdf.1x*
%_x11fontsdir/encodings

%files locales
%_x11libdir/X11/locale

%changelog
* Mon Oct 20 2003 Rider <rider@altlinux.ru> 4.3.0-alt6
- added froup xgrp in server post script
- updated startx from LDV

* Mon Oct 20 2003 Rider <rider@altlinux.ru> 4.3.0-alt5
- control support added (bug #3123)
- removed xconsole from menu (bug #2982)
- better startx from Mike Shigorin (bug #3129)
- added based on MDK patch for change XFree86 background color to black (bug #3164)

* Thu Oct 02 2003 Anton Farygin <rider@altlinux.ru> 4.3.0-alt4
- don't build libOSMesa, now libOSMesa into Mesa package (fixed bug #3090)
- removed provides libGL

* Fri Sep 26 2003 Anton Farygin <rider@altlinux.ru> 4.3.0-alt3
- more fixes for potential integer overflow in fonts library

* Tue Sep 23 2003 Anton Farygin <rider@altlinux.ru> 4.3.0-alt2
- fixed rstart and xon for using ssh
- ctext.tbl.ps included to XFree86-doc package (#793)
- updated xfs.init (thanks to LDV, bug #1252)
- updated driver for VIA CLE266
- patch 500 for fix integer overflow in XFree86 font code (Matthieu Herrb)
- sync patches with MDK
    + patch 112 from Keith Whitwell/Michel Dnzer to avoid Radeon dri Xserver recycle lockup
    + patches 200 and 201 fix server lockup when switiching to console on some intel chipsets
    + patch 600 - fixed bug with serial and ps/2 mouse
    + patch 111 - fixed radeon driver for RV280 (radeon 9200) support    
    + updated XFree from 4.3 CVS branch:
        + Pull twm fixes (signal handler, empty windows menu) from -current.
	+ Fix for a crash if a scalable font has a bitmap entry in 
	  fonts.dir (#5687, Bugzilla #332, Juliusz Chroboczek).
	+ Fix for xfs crashes in Freetype backend (Bugzilla #242, 
	  Juliusz Chroboczek). 
	+ Fix repeated image problem when using a vesa video mode before starting
	  the Xserver on the S3 Trio3D cards (Alan Hourihane).
	+ Fix XDMCP queries in xdm on systems using getifaddrs().
	  (Bugzilla #277, Joel Ray Holveck).
	+ Fixed Imakefiles so the driver SDK builds again (Sven Luther).
	+ i810/815 depth buffer needs to be a multiple of the tile size.  This
	  fixes 3D corruption near the bottom of the screen at 800x600@16bpp
	  (Bugzilla #283, Dave Airlie).
	+ Typo fix in radeon driver cursor code, fixes the primary head switching
	  off when the cursor moves to the secondary head on dualhead cards
	  (Michel Dnzer)
	+ Fix a problem with savage driver when UseBIOS is off, such that the
	  performance drops dramatically. Now the performance matches or
	  exceeds that of the option UseBIOS (Alan Hourihane).
	+ Fix SiliconMotion driver for mode switching and SEGV problem when
	  initializing Xv functionality (Bugzilla #50, Alan Hourihane).
	+ Fix a SEGV that can happen with Riva128 cards (Mark Vojkovich).
	+ Prevent a SIGFPE with the glint/pm3 driver when attempting to display
	  an XVideo image less than 8 pixels wide (Mns Rullgrd).
	+ Fix double free bug when a Mac-specific font fails to load with
	  Freetype (Torrey T. Lyons).
	+ Check for NULL tObj in the i830 3D driver's TexEnv function.  This
	  fixes a FlightGear crash (Keith Whitwell).
	+ Fix lockup on server reset in radeon driver
	  (Michel Dnzer, Keith Whitwell).
	+ Set Mesa hooks to flush vertices on state changes in Radeon 3D drivers
	  (Keith Whitwell).
	+ Fix to prevent PCI and CardBus resets when switching out of the server's
	  virtual console (Marc La France).
	+ Fix infinite loop that occurs on systems whose PCI configuration space
	  doesn't advertise a host bridge (Marc La France).
	+ Workaround for broken devices that don't implement the header type field
	  in their PCI configuration space (Marc La France).
	+ Fix programming error in ix86 motherboard chipset determination
	  (Marc La France).
	+ Fix bug in mode validation that occurs when the XF86Config doesn't
	  specify any mode or virtual resolution information (Marc La France).
	+ Another int10 fix.  This time for adapters found at PCI:0:0:0.  This
	  fix is particularly important for ZX1-based systems (Marc La France).
	+ Fix possible overflow in _XlcLocaleDirName. (Matthieu Herrb).

* Tue Aug 12 2003 Rider <rider@altlinux.ru> 4.3.0-alt1
- fixed bug #0002534 (Conflicts with xfree86_xkb_xml)
- removed release number from requires XFree86-utils in *dpi-fonts packages (#0002420)
- removed PEX fonts in postin script (#0002808)
- moved all pkgconfig data to XFree86-devel package (#0002656)
- driver for VIA CLE266 from XFree CVS
- %_x11bindir/startx and %_x11bindir/X moved to XFree86-server package (#0002642)
- buildrequires updated

* Wed Aug 06 2003 Rider <rider@altlinux.ru> 4.3.0-alt0.44
- patch for support 2D in ATI Radeon Mobility U1 cards (radeon)

* Mon Jun 02 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.43
- moved /usr/X11R6/lib/pkgconfig/*.pc files to /usr/lib/pkgconfig/ 
  according to policy.

* Wed May 28 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.42
- moved %_x11libdir/X11/doc to %_docdir
- added back %_x11bindir/{xfs,xfs}-config

* Tue May 20 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.41
- fixed xfs.init to use start-stop-daemon

* Tue May 06 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.40
- removed libGL.so.1 from package, so only libGLwrapper provides it.
- -libs provides and obsoletes libXft, and -devel does the same for
  libXft-devel.
- reconstructed ccache mess.

* Tue Apr 15 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.31
- change xfs init script startup ID to 44, so it would start before dm.

* Mon Apr 07 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.3
- ati radeon/lcd dpms fixes.
- removed ``default'' cursors directory from XFree86 package. One can set
  cursors theme with Xcursor*theme resource, or with XCURSOR_THEME environment
  variable.

* Mon Mar 24 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.22
- included cursor icons
- fixed name-gatos patch

* Thu Mar 20 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.21
- ATI Gatos drivers are back!

* Tue Mar 18 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.2
- Variuos spec fixes
- RedHat patches imported

* Fri Feb 28 2003 Peter Novodvorsky <nidd@altlinux.com> 4.3.0-alt0.1
- new upstream version
- removed PEX fonts that are not used anymore
- removed temporary all alt linux enchancements: drivers, xkb layouts.
- maintainer is XFree86 Maintainer Team <xfree86@packages.altlinux.org>

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 4.2.1.1-alt3
- specfile cleanup
- update savage driver to 1.1.26t
- update ati gatos driver to experimental_16
- update sis driver to sis_drv_src_300103-1
- revert Xft1 to default XFree86 version
- update build requires (now XFree86 can be build without XFree86-devel in build system)


* Thu Jan 09 2003 Konstantin Volckov <goldhead@altlinux.ru> 4.2.1.1-alt2
- Updated sis driver
- Removed menu method for twm
- Enabled XaaOffscreenpixmaps in i810 driver


* Mon Nov 25 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.1.1-alt1
- Update from latest stable CVS
- Back to old DRI code fue to stability problems
- Updated i810 driver from i810fb project
- Some spec cleanup
- Updated wacom driver
- Updated sis driver
- Updated gatos drivers
- Added package XFree86-bitmaps
- Added RandR building

* Fri Oct 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.1-alt4
- Updated ATI gatos drivers
- Update from CVS (xdm fixes)
- savage driver 1.1.26 (from XFree86 HEAD CVS)
- Updated Cyrix MediaGX driver
- Added Xshm fix from Debian
- Updated sis driver
- Imported AEN changes from alt3
  ----
  - build with fontconfig (BuildPrereq) & Xft1 from CVS
  - unicode fonts with Dmitry Bolkhovityanov's cyrillic glyphs from ASPLinux added
  ----

* Wed Sep 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.1-alt3manli
- Rewrited ATI pci id's - added new id's for many cards
- Fixed trident driver - now we don't build trident-4.1.0
- Updated sis driver
- Updated dri drivers

* Tue Sep 17 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.1-alt2
- Fixed MIT-SHM security patch (update from branch)
- Some spec cleanup
- Fixed startx script (by ldv)
- Fixed sis & kbd driver (from RawHide)

* Tue Sep 17 2002 Dmitry V. Levin <ldv@altlinux.org> 4.2.1-alt1.1
- Renamed XFree86-static-libs subpackage to XFree86-devel-static;
  no compatibility provides added, to speedup fix of automatically added
  buildrequires.

* Fri Sep 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.1-alt1
- Updated from latest CVS
- misc driver updates
- Added patches from Rawhide
- Updated ati_gatos from CVS
- Updated sis driver
- Added OLD trident driver from XFree86-4.1.0
- Updated DRI drivers for ATI, added driver for Radeon 8500
- Temporary removed libGLU from XFree86-libs
- Added support for ATI Radeon 9000
- Removed XFree86-devel from buildrequires (patch228).
- Fixed static libraries.

* Mon Jun 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.0-alt7
- Added new subpackage XFree86-locales
- Removed %_x11libdir/X11 from XFree86
- Moved XKeysymDB and XErrorDB to XFree86-libs

* Thu Jun 06 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.0-alt6
- Updated from CVS
- Added support for i845 adapter
- Added cpp to requires in XFree86-utils
- Added some RedHat patches
- Updated Gatos drivers
- Updated sis driver
- Fixed tdfx driver (thnx to Konstantin Lepikhov)
- Really fixed rua & ruan xkb keymaps

* Tue May 14 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.0-alt5
- Updated from CVS
- Moved some devel files from utils to devel package
- Some fixes from RawHide
- Updated ati.2 to latest CVS
- Updated sis driver
- Commercial Matrox driver now is not included and compiled
  due to Matrox license change
- Removed freetype library from XFree86-libs
- Really build with external freetype
- Added en_ru_ee keyboard
- Fixed xfs init script. Now args for xfs reading from external
  /etc/sysconfig/xfs config file.

* Mon Apr 08 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.0-alt4
- Fixed requires
- ATI Gatos drivers now moved back to XFree86-ati_gatos package due to
  stability problems with Hardware 3D support. Keep in mind that Hardware
  3D with gatos drivers don't work with standart radeon DRI drivers.
- Fixed rua keyboard
- Update from CVS
- Updated sis driver
- Fixed requires for -fonts packages

* Wed Mar 20 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.0-alt3
- Fixed radeon 8500 DRI initialization bug
- Fixed VooDoo 3 & Banshee initialization
- Fixed agpgart module loading
- Added ru_ua_en keyboard map
- Updated from CVS
- Updated wacom driver
- Updated ati gatos drivers
- Updated S3 Savage driver - added new cards support
- Updated sis driver
- Some updates from RH & MDK

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 4.2.0-alt2
- Updated from CVS
- ATI Gatos drivers now is default ATI drivers - if You want use these
  drivers with ATI Radeon cards & Hardware DRI 3D - you _MUST_ install
  kernel24 >= 2.4.18-alt1 otherwise your system will be crashed
- Updated i810db patch. Use it with kernel24 >= 2.4.18-alt1
- Fixed i810 driver. Now it works in DRI mode

* Fri Feb 07 2002 AEN <aen@logic.ru> 4.2.0-alt1.1
- build with external freetype2
- fontenc patch

- 4.2.0
- Fixed pam app-default file conflict
- Moved back libglx.a library - now problem is solved in XF86Config file

* Fri Dec 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.99.4-alt1
- 4.1.99.4
- First build for Daedalus
- Removed mdk-fonts

* Fri Nov 16 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0.1-alt4
- Upgraded sis & trident drivers from CVS
- Upgraded vmware driver from CVS
- Updated wacom driver
- Backported Radeon driver (bugs with Mozilla)
- Added some Mandrake patches
- Added new xxxdpi-fonts-unicode packages
- Fixed be_BY locale alias

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0.1-alt3
- Updated S3 Savage driver (fixed OpenOffice problems)

* Tue Oct 02 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0.1-alt2
- Fixed Matrox HAL driver

* Thu Sep 27 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0.1-alt1
- Update from CVS
- Now we build ATI Gatos drivers in separate package
- Now we build Matrox HAL driver in separate package
- Updated ATI Radeon driver from CVS
- Updated Wacom driver
- Some logical changes in spec
- Rename version

* Fri Sep 07 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0-alt8
- Fixed /etc/pam.d/xdm

* Mon Sep 03 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0-alt7
- Update from CVS
- Now we use Original XFree86 tar.bz2 & update to cvs from patch
  as it is in Mandrake
- Removed ATI Gatos patch because it conflicts with patch for support
  Radeon VE & Mobility Radeon's. You can apply it manually.
- Added some patches from RedHat
- Possibly fix xfs bug
- Updated XftConfig from AEN
- Added support for parallel make
- Updated S3 & Savage drivers

* Fri Aug 17 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0-alt6
- Imported some bugfix patches from Mandrake
- Added patch for Matrox. Now you can enable/disable MULTITEXTURE support
  by set MGA_DISABLE_MULTITEXTURE environment variable
- Updated ATI drivers from GATOS project.
- Updated XFree86.tar.bz2 from latest CVS-bugfix
- Updated host.def file

* Sun Jun 24 2001 AEN <aen@logic.ru> 4.1.0-alt5
- removed glide-include package
- added BuildReq on Glide_V3-devel
- all man-pages back to X11 tree

* Wed Jun 13 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0-alt4
- Upgraded to fixed 4.1.0 release
- Move man pages from XFree86 to XFree86-utils package
- Added missed man pages
- Fixed Build Requires - removed kernel24-headers and added Glide_V5-devel

* Fri Jun 8 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0-alt3
- Added dependence from XFree86-utils to xterm

* Thu Jun 7 2001 Konstantin Volckov <goldhead@altlinux.ru> 4.1.0-alt2
- Fixed libglu include with XFree86-libs.
- Fixed libglx.a move to right place
- Added support for Intel Pentium Katmai (SSE) instructions
- Build S3 drivers
- Added agpgart load support patch

* Tue Jun 5 2001 AEN <aen@logic.ru> 4.1.0-alt1
- new version
- new i18n patch
- merged with MDK

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.0.3-ipl7mdk
- Fixed requires and %%pre/%%post/%%preun scripts according to new policy.

* Thu May 24 2001 Konstantin Volckov 4.0.3-ipl6mdk
- Added new XFree86-utils package
- libglx.a moved from modules/extensions to modules for Commercial
  nVidia drivers compatibility

* Wed May 9 2001 AEN <aen@logic.ru> 4.0.3-ipl5mdk
- XftConfig fixed again :-)

* Wed May 9 2001 AEN <aen@logic.ru> 4.0.3-ipl4mdk
- build fixed source from 4_0_2-branch
- XftConfig fixed

* Mon Mar 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.0.3-ipl3mdk
- imake tmpfile fix.

* Mon Mar 19 2001 AEN <aen@logic.ru> 4.0.3-ipl2mdk
- new mga450 patch

* Sun Mar 18 2001 AEN <aen@logic.ru> 4.0.3-ipl1mdk
- build  4.0.3 w/o mga450 patch

* Fri Mar 16 2001 AEN <aen@logic.ru> 4.0.2-ipl17mdk
- 4.0.2c

* Thu Mar 15 2001 AEN <aen@logic.ru> 4.0.2-ipl16mdk
- 4.0.2b
- matrox G450 DH support

* Tue Mar 13 2001 AEN <aen@logic.ru> 4.0.2-ipl15mdk
- RH patches

* Mon Mar 12 2001 AEN <aen@logic.ru> 4.0.2-ipl14mdk
- updated code from 4_0_2-branch
- alp patch

* Fri Mar 9 2001 AEN <aen@logic.ru> 4.0.2-ipl12mdk
- new code from cvs

* Sun Mar 4 2001 AEN <aen@logic.ru>
- build XFree-4.0.2a
- spec cleanup
* Sun Feb 4 2001 AEN <aen@logic.ru>
- duplicate in %files fixed

* Mon Jan 29 2001 AEN <aen@logic.ru>
- sis & glide patches, sis not included yet
- xfs config moved to setup package
- new XftConfig from Keith
- conditions for HAL

* Wed Jan 03 2001 AEN <aen@logic.ru>
- build without stripping modules
- xf86cfg fixed
- bitamps & pixmaps moved to main package

* Sat Dec 23 2000 AEN <aen@logic.ru>
- big i18n patch:
  + pt154 support
  + pt154 monospace fonts
  + by, byru, kz keyboard
  + non-slavic cyrillic keysyms
  + encodings fixed
  + ...

* Fri Dec 22 2000 AEN <aen@logic.ru>
- merged with RE spec, cleanup

* Wed Dec 20 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Tue Dec 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1za-1mdk
- 4.0.1Za
- activate freetype2 support in the Render extension.
- don't compile glide support on other arch than ix86 (Jeff).

* Mon Dec 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1z-2mdk
- PPC: build with egcs (Dadou).
- moved gccmakedep to -devel package (Vince).
- added BuildRequires on pam-devel (Fred Crozat).

* Sat Dec  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1z-1mdk
- 4.0.1Z

* Wed Dec  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1h-2mdk
- fix xfs to be able to start as a user.

* Tue Dec  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1h-1mdk
- 4.0.1h

* Wed Nov 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1g-1mdk
- added BuildRequires flex and groff.
- 4.0.1g

* Wed Nov 22 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.1f-3mdk
- Remove patch for PPC (#600). Fix is now included by default in XFree86 4.0.1

* Tue Nov 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1f-2mdk
- added fix to xkbcomp/rules/xfree86.lst (Pablo).
- added libGlw and static libs that have no dynamic version to -devel
file list (thanks to J. A. Magallon).

* Sat Nov 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1f-1mdk
- 4.0.1f
- xkb files are back.

* Tue Nov 14 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-30mdk
- fixed Norwegian kbd bug (bugs #1295 and #908)
- fixed Korean TTF font support

* Tue Nov 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-29mdk
- enabled back pam support (bug #1250).

* Wed Oct 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-28mdk
- some i18n improvements
- display of 16bit encoding still needs a hack in XLC_LOCALE files

* Wed Oct 18 2000 David BAUDENS <baudens@mandrakesoft.com> 4.0.1-27mdk
- Patch for PPC

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-26mdk
- added missing /var/lib/xdm dir.

* Mon Oct  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-25mdk
- corrected manipulation of ld.so.conf in libs %%post.

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.1-24mdk
- provide large icons and make others transparents

* Fri Sep 29 2000 Daouda Lo <daouda@mandrakesoft.com> 4.0.1-23mdk
- add icons to twm menu entry
- add icons to X small utilities like Xkill, Xrefresh ...
- more macrozifications

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-22mdk
- corrected static-libs package.
- added current CVS tree for neomagic.

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-21mdk
- put static only libs in the devel package.
- added a prereq on XFree86 = %%version for font packages to allow upgrade.
- corrected xfs startup script (thanks to Guillaume Rousse for pointing it).
- corrected startx to allow to launch multiple servers.

* Mon Sep 25 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-20mdk
- switched to pam_stack for xdm pam setup.
- added current CVS tree for GeForce2.

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-19mdk
- rewrite of xfs startup script (reload target).
- modified xinit and startx to allow runlevel changes from 3 to 5 to kill autologin.
- applied patches for sparc and alpha from redhat.
- updated xfs patch.

* Tue Sep 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-18mdk
- Fixe tdfx drm acceleration with the last framework of our kernels.

* Fri Sep 15 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-17mdk
- fixed VidMode extension to work with 3.3 servers.

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-16mdk
- fixed locales names and aliases

* Mon Sep 11 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-15mdk
- fixed problem with a duplicated mdk font
- added option deferplyphs 16 to xfs config (useful for CJK)
- added :unsaled to directories added by the chkfontpath (for non scalable
  fonts)

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-14mdk
- commented autologin patch
- cleanup of menu entries.
- compile support for Voodoo2.

* Thu Sep  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-13mdk
- noreplace
- launch mkfontdir in %%post of fonts package.

* Wed Sep 06 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-12mdk
- fixed XLC_LOCALE files for Chinese
- added full support for Greek typing
- added encoding files for xfsft font server

* Tue Sep  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-11mdk
- Learn to be safe, remove cvs updates.

* Wed Aug 30 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.0.1-10mdk
- Update to last drm from cvs..

* Mon Aug 28 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 4.0.1-9mdk
- merged back the i18n patches
- lots of new kbd layouts
- several new charset encodings

* Thu Aug 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-8mdk
- compiled with Glide_V3-DRI.

* Fri Aug 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-7mdk
- GLX headers are back.

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 4.0.1-6mdk
- fixed %%pre script of XFree86.
- removed provide to Mesa-devel in XFree86-devel.

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-5mdk
- oops fixed bad %%post of XFree86

* Fri Jul 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-4mdk
- remove Obsoletes Mesa.
- removed Xpm from the packages.
- %%post modifications for ld.so.conf are back.
- cleanup %%post to work on fresh install.
- don't compile DRM on architectures other than ix86.
- moved app-defaults, rstart, lbxproxy and proxymngr to /etc/X11 in
  the filelist.

* Fri Jul 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-3mdk
- applied patch for autologin with xdm
- added logrotate of /var/log/xdm-error.log
- make symlink from /usr/X11R6/include/GL to /usr/include/GL

* Thu Jul  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-2mdk
- included missing headers.
- tdfx_drv.o is back.

* Mon Jul  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-6mdk
- removed xterm stuff.
- enabled the elographics touchscreen driver.
- Fix missing -L/usr/X11R6/lib in generated Makefiles.
- Fixed empty man pages.

* Fri Mar 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-5mdk
- split the static libraries in their own package.

* Tue Mar 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-4mdk
- add back the static libraries.
- better menu support.
- compiled glide driver and put it in its own package.

* Fri Mar 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-3mdk
- fix bad .so symlinks in XFree86-devel.
- fixed conflicts with X11R6-contrib.
- added menu support.

* Tue Mar 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-2mdk
- corrected xfs startup.

* Mon Mar 13 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.0-1mdk
- 4.0
- config file is no longer called XF86Config.experimental. Use the
standard name XF86Config-4 instead.
- patch from Daryll Strauss for tdfx.

* Mon Mar  6 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.18-2mdk
- enabled i810.
- build all the packages.

* Wed Feb 23 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.18-1mdk
- 3.9.18.

* Mon Jan 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.9.17-1mdk

- first mandrake version.
- named config file XF86Config.experimental to avoid confusion with 3.3 releases.
